[Python-modules-commits] [python-neovim] 01/02: Enable nosetests in autopkgtest now that they are in shape
Víctor Cuadrado Juan
viccuad-guest at moszumanska.debian.org
Mon Feb 27 19:17:16 UTC 2017
This is an automated email from the git hooks/post-receive script.
viccuad-guest pushed a commit to branch master
in repository python-neovim.
commit cb14ed3496dc94e55814fc63dfee6313f0e7104b
Author: Víctor Cuadrado Juan <me at viccuad.me>
Date: Mon Feb 27 19:11:46 2017 +0100
Enable nosetests in autopkgtest now that they are in shape
---
debian/control | 1 +
debian/tests/control.autodep8 | 5 +++++
debian/tests/python-neovim | 9 +++++++++
debian/tests/python3-neovim | 9 +++++++++
4 files changed, 24 insertions(+)
diff --git a/debian/control b/debian/control
index 5ee934c..73cb4f7 100644
--- a/debian/control
+++ b/debian/control
@@ -23,6 +23,7 @@ Build-Depends:
python-nose,
python3-nose
Standards-Version: 3.9.8
+Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/neovim/python-client
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-neovim.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-neovim.git
diff --git a/debian/tests/control.autodep8 b/debian/tests/control.autodep8
new file mode 100644
index 0000000..076c77a
--- /dev/null
+++ b/debian/tests/control.autodep8
@@ -0,0 +1,5 @@
+Tests: python-neovim
+Depends: python-neovim, python-nose, neovim
+
+Tests: python3-neovim
+Depends: python3-neovim, python3-nose, neovim
diff --git a/debian/tests/python-neovim b/debian/tests/python-neovim
new file mode 100644
index 0000000..5a90eab
--- /dev/null
+++ b/debian/tests/python-neovim
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -eu
+cp -r test "$ADTTMP/"
+cd "$ADTTMP"
+
+for python in $(pyversions -i); do
+ PYTHONWARNINGS=d $python /usr/bin/nosetests -v 2>&1
+done
diff --git a/debian/tests/python3-neovim b/debian/tests/python3-neovim
new file mode 100644
index 0000000..9a41677
--- /dev/null
+++ b/debian/tests/python3-neovim
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -eu
+cp -r test "$ADTTMP/"
+cd "$ADTTMP"
+
+for python in $(py3versions -i); do
+ PYTHONWARNINGS=d $python /usr/bin/nosetests3 -v 2>&1
+done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-neovim.git
More information about the Python-modules-commits
mailing list